---

- name: Add RPM Fusion Free and Nonfree repos
  dnf:
    name:
      - 'https://mirrors.rpmfusion.org/free/fedora/rpmfusion-free-release-{{ ansible_facts.distribution_version }}.noarch.rpm'
      - 'https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-{{ ansible_facts.distribution_version }}.noarch.rpm'
    disable_gpg_check: yes
    state: present

- name: Add Dušan's repo
  yum_repository:
    name: dusan
    description: Dušan's repo of various packages
    baseurl: https://repos.dusansimic.me/rpms
    gpgcheck: yes
    gpgkey: https://repos.dusansimic.me/key.gpg

- name: Add Google Chrome repo
  yum_repository:
    name: google-chrome
    description: Google Chrome
    baseurl: http://dl.google.com/linux/chrome/rpm/stable/x86_64
    skip_if_unavailable: yes
    gpgcheck: yes
    gpgkey: https://dl.google.com/linux/linux_signing_key.pub

- name: Add Microsoft Teams repo
  yum_repository:
    name: teams
    description: Microsoft Teams
    baseurl: https://packages.microsoft.com/yumrepos/ms-teams
    gpgcheck: yes
    gpgkey: https://packages.microsoft.com/keys/microsoft.asc
